com.holonplatform.vaadin.components.builders

## Interface MultiSelectInputBuilder<T,B extends MultiSelectInputBuilder<T,B>>

- Type Parameters:
    `T` - Selection type
    `B` - Actual builder type
  All Superinterfaces:
    BaseSelectInputBuilder<Set<T>,MultiSelect<T>,T,T,B>, BaseSelectInputBuilder.MultiSelectConfigurator<T,T,B>, ComponentConfigurator<B>, InputBuilder<Set<T>,MultiSelect<T>,B>, InputConfigurator<Set<T>,B>, SelectInputBuilder<Set<T>,MultiSelect<T>,T,T,B>, SelectItemDataSourceBuilder<Set<T>,MultiSelect<T>,T,T,B>
  All Known Subinterfaces:
    BaseSelectModeMultiSelectInputBuilder<T,B>, BaseSelectModeMultiSelectInputBuilder.OptionsModeMultiSelectInputBuilder<T>, BaseSelectModeMultiSelectInputBuilder.SelectModeMultiSelectInputBuilder<T>, MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>

      public interface MultiSelectInputBuilder<T,B extends MultiSelectInputBuilder<T,B>>
      extends BaseSelectInputBuilder.MultiSelectConfigurator<T,T,B>, SelectItemDataSourceBuilder<Set<T>,MultiSelect<T>,T,T,B>

  Builder to create a multi selection `Input`s.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `MultiSelectInputBuilder.GenericMultiSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.MultiSelectConfigurator<T,ITEM,B>>, BaseSelectInputBuilder.RenderingMode, BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B extends BaseSelectInputBuilder.SingleSelectConfigurator<T,ITEM,B>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `InputConfigurator.BaseFieldConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default B` | `withValue(T... values)` Sets the initial values for the field.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectItemDataSourceBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.SelectInputBuilder

      `addItem, addItem, addItem, addItem, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseSelectInputBuilder

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator, itemDescriptionGenerator, itemIcon, itemIconGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputBuilder

      `asField, build, deferLocalization, dragSource, dropTarget, validatable`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.InputConfigurator

      `locale, readOnly, tabIndex, withValue, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### withValue

          default B withValue(T... values)

      Sets the initial values for the field.
      Parameters:
        `values` - The values to set
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.